Extending Qt Creator Manual | SimpleBuildStepConfigWidget

Extending Qt Creator Manual 4.5.2

# SimpleBuildStepConfigWidget Class

(ProjectExplorer::SimpleBuildStepConfigWidget)

Inherits: | ProjectExplorer::BuildStepConfigWidget

- List of all members, including inherited members

## Public Functions

| SimpleBuildStepConfigWidget(BuildStep *step)
BuildStep * | step() const

## Reimplemented Public Functions

virtual QString | displayName() const
virtual bool | showWidget() const
virtual QString | summaryText() const

- 4 public functions inherited from ProjectExplorer::BuildStepConfigWidget

### Additional Inherited Members

- 2 signals inherited from ProjectExplorer::BuildStepConfigWidget

## Member Function Documentation

### SimpleBuildStepConfigWidget::SimpleBuildStepConfigWidget(BuildStep *step)

Default constructs an instance of SimpleBuildStepConfigWidget.

### `[virtual]` QString SimpleBuildStepConfigWidget::displayName() const

### `[virtual]` bool SimpleBuildStepConfigWidget::showWidget() const

### BuildStep *SimpleBuildStepConfigWidget::step() const

### `[virtual]` QString SimpleBuildStepConfigWidget::summaryText() const